POST api/Jobs/CreateNewJob
Request Information
URI Parameters
None.
Body Parameters
JobModel| Name | Description | Type | Additional information |
|---|---|---|---|
| logininfoid | integer |
None. |
|
| jobmasterid | integer |
None. |
|
| jobdetailsid | integer |
None. |
|
| jobcode | string |
None. |
|
| jobposition | string |
None. |
|
| jobcompany | string |
None. |
|
| jobtypeid | integer |
None. |
|
| jobcityid | integer |
None. |
|
| jobstateid | integer |
None. |
|
| jobworkmodeid | integer |
None. |
|
| jobsalary | string |
None. |
|
| isurgent | boolean |
None. |
|
| jobposteddate | date |
None. |
|
| jobopenings | integer |
None. |
|
| joburgency | integer |
None. |
|
| jobdepartment | string |
None. |
|
| isfeatured | boolean |
None. |
|
| jobnoticeperiod | string |
None. |
|
| jobexperience | integer |
None. |
|
| jobqualification | string |
None. |
|
| jobgender | integer |
None. |
|
| englishskills | integer |
None. |
|
| isengrequired | boolean |
None. |
|
| agepreference | string |
None. |
|
| jobdecription | string |
None. |
|
| joblastdate | date |
None. |
|
| jobcontact | string |
None. |
|
| jobfulllocation | string |
None. |
|
| mustHaveSkills | string |
None. |
|
| goodToHaveSkills | string |
None. |
|
| workingDays | string |
None. |
|
| workingHours | string |
None. |
|
| flexibleHours | boolean |
None. |
|
| jobtypename | string |
None. |
|
| jobcityname | string |
None. |
|
| jobstatename | string |
None. |
|
| jobworkmodename | string |
None. |
|
| jobgendername | string |
None. |
|
| englishskillsname | string |
None. |
|
| experiencename | string |
None. |
|
| postedDays | integer |
None. |
|
| createddate | date |
None. |
|
| isactive | boolean |
None. |
|
| experienceid | integer |
None. |
|
| noticeperiodid | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"logininfoid": 1,
"jobmasterid": 2,
"jobdetailsid": 3,
"jobcode": "sample string 4",
"jobposition": "sample string 5",
"jobcompany": "sample string 6",
"jobtypeid": 7,
"jobcityid": 8,
"jobstateid": 9,
"jobworkmodeid": 10,
"jobsalary": "sample string 11",
"isurgent": true,
"jobposteddate": "2026-05-16T13:51:45.0306157+05:30",
"jobopenings": 13,
"joburgency": 14,
"jobdepartment": "sample string 15",
"isfeatured": true,
"jobnoticeperiod": "sample string 17",
"jobexperience": 18,
"jobqualification": "sample string 19",
"jobgender": 20,
"englishskills": 21,
"isengrequired": true,
"agepreference": "sample string 23",
"jobdecription": "sample string 24",
"joblastdate": "2026-05-16T13:51:45.0306157+05:30",
"jobcontact": "sample string 25",
"jobfulllocation": "sample string 26",
"mustHaveSkills": "sample string 27",
"goodToHaveSkills": "sample string 28",
"workingDays": "sample string 29",
"workingHours": "sample string 30",
"flexibleHours": true,
"jobtypename": "sample string 32",
"jobcityname": "sample string 33",
"jobstatename": "sample string 34",
"jobworkmodename": "sample string 35",
"jobgendername": "sample string 36",
"englishskillsname": "sample string 37",
"experiencename": "sample string 38",
"postedDays": 39,
"createddate": "2026-05-16T13:51:45.0306157+05:30",
"isactive": true,
"experienceid": 41,
"noticeperiodid": 42
}
application/xml, text/xml
Sample:
<JobModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/jobsa_api.Models"> <agepreference>sample string 23</agepreference> <createddate>2026-05-16T13:51:45.0306157+05:30</createddate> <englishskills>21</englishskills> <englishskillsname>sample string 37</englishskillsname> <experienceid>41</experienceid> <experiencename>sample string 38</experiencename> <flexibleHours>true</flexibleHours> <goodToHaveSkills>sample string 28</goodToHaveSkills> <isactive>true</isactive> <isengrequired>true</isengrequired> <isfeatured>true</isfeatured> <isurgent>true</isurgent> <jobcityid>8</jobcityid> <jobcityname>sample string 33</jobcityname> <jobcode>sample string 4</jobcode> <jobcompany>sample string 6</jobcompany> <jobcontact>sample string 25</jobcontact> <jobdecription>sample string 24</jobdecription> <jobdepartment>sample string 15</jobdepartment> <jobdetailsid>3</jobdetailsid> <jobexperience>18</jobexperience> <jobfulllocation>sample string 26</jobfulllocation> <jobgender>20</jobgender> <jobgendername>sample string 36</jobgendername> <joblastdate>2026-05-16T13:51:45.0306157+05:30</joblastdate> <jobmasterid>2</jobmasterid> <jobnoticeperiod>sample string 17</jobnoticeperiod> <jobopenings>13</jobopenings> <jobposition>sample string 5</jobposition> <jobposteddate>2026-05-16T13:51:45.0306157+05:30</jobposteddate> <jobqualification>sample string 19</jobqualification> <jobsalary>sample string 11</jobsalary> <jobstateid>9</jobstateid> <jobstatename>sample string 34</jobstatename> <jobtypeid>7</jobtypeid> <jobtypename>sample string 32</jobtypename> <joburgency>14</joburgency> <jobworkmodeid>10</jobworkmodeid> <jobworkmodename>sample string 35</jobworkmodename> <logininfoid>1</logininfoid> <mustHaveSkills>sample string 27</mustHaveSkills> <noticeperiodid>42</noticeperiodid> <postedDays>39</postedDays> <workingDays>sample string 29</workingDays> <workingHours>sample string 30</workingHours> </JobModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResultViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| status | boolean |
None. |
|
| message | string |
None. |
|
| data | Object |
None. |
|
| errorCode | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": true,
"message": "sample string 2",
"data": {},
"errorCode": 4
}
application/xml, text/xml
Sample:
<HttpResultViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/jobsa_api.Models"> <data /> <errorCode>4</errorCode> <message>sample string 2</message> <status>true</status> </HttpResultViewModel>